Check-in [ce27ad0559]
Overview
Comment:More work towards standardizing NaCl build
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:ce27ad05595e32820663c763856279717c603ff1
User & Date: rkeene on 2016-02-03 17:42:09
Other Links: manifest | tags
Context
2016-02-03
18:50
Updated to cast length variable to the correct type for formatting check-in: df8d7782c8 user: rkeene tags: trunk
17:42
More work towards standardizing NaCl build check-in: ce27ad0559 user: rkeene tags: trunk
08:03
Removed extra debugging symbols no longer needed check-in: 378c58fb5a user: rkeene tags: trunk
Changes

Modified build/chrome/build-deps from [d77e49c779] to [bf636f72b1].

     9      9   	exit 1
    10     10   fi
    11     11   
    12     12   cd "$(dirname "${ourScript}")" || exit 1
    13     13   
    14     14   patchDir="$(pwd)/patches"
    15     15   
    16         -if [ -z "${NACL_SDK_PEPPER}" ]; then
    17         -	echo "error: Please set NACL_SDK_PEPPER to the path of the current pepper target" >&2
           16  +if [ -z "${NACL_SDK_ROOT}" ]; then
           17  +	echo "error: Please set NACL_SDK_ROOT to the path of the current NaCl SDK target" >&2
           18  +
           19  +	exit 1
           20  +fi
           21  +
           22  +if [ ! -d "${NACL_SDK_ROOT}/toolchain" ]; then
           23  +	echo "error: Invalid NACL_SDK_ROOT, not found: ${NACL_SDK_ROOT}/toolchain" >&2
    18     24   
    19     25   	exit 1
    20     26   fi
    21     27   
    22     28   function download() {
    23     29   	local url file hash
    24     30   	local hashMethod
................................................................................
   349    355   		;;
   350    356   	*)
   351    357   		echo "error: Unrecognized platform output: \"${buildOutputType}\"" >&2
   352    358   
   353    359   		exit 1
   354    360   		;;
   355    361   esac
   356         -PATH="${PATH}:${NACL_SDK_PEPPER}/toolchain/${naclTopDir}/bin" buildCACKey "${naclPlatform}" --host="${naclPlatform}" CC=${naclPlatform}-gcc LD=${naclPlatform}-ld OBJCOPY=${naclPlatform}-objcopy STRIP=${naclPlatform}-strip || exit 1
          362  +PATH="${PATH}:${NACL_SDK_ROOT}/toolchain/${naclTopDir}/bin" buildCACKey "${naclPlatform}" --host="${naclPlatform}" CC=${naclPlatform}-gcc LD=${naclPlatform}-ld OBJCOPY=${naclPlatform}-objcopy STRIP=${naclPlatform}-strip || exit 1
   357    363   
   358    364   cleanup
   359    365   
   360    366   exit 0